Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Debugging/Debugging.cpp File Reference

Functions for Debugging. More...

`#include "Tools/Process.h"`

Include dependency graph for Debugging.cpp:

Go to the source code of this file.

## Functions
void | initDebugging (OutMessage *queue, DebugKeyTable *table, DebugRequestTable *drTable)
| Sets a pointer to an OutMessage and to a DebugKeyTable to be used by the macros.
OutMessage & | getDebugOut ()
| Returns a reference to a process wide OutMessage.
DebugKeyTable & | getDebugKeyTable ()
| Returns a reference to a process wide debug key table.
DebugRequestTable & | getDebugRequestTable ()
| Returns a reference to a process wide debug request table.
## Variables
GT_GLOBAL OutMessage * | debugOut
| references to outgoing OutMessages
GT_GLOBAL DebugKeyTable * | debugKeyTable
| references to DebugKeyTables
GT_GLOBAL DebugRequestTable * | debugRequestTable
| references to DebugRequestTables

## Detailed Description

Functions for Debugging.

Author:
  Michael Spranger

Definition in file Debugging.cpp.

## Function Documentation

void initDebugging | ( | OutMessage * | queue,
|  | DebugKeyTable * | table,
|  | DebugRequestTable * | debugRequestTable
| ) |

  | Sets a pointer to an OutMessage and to a DebugKeyTable to be used by the macros. Parameters:
  queue | A pointer to an OutMessage.
  table | A pointer to a DebugKeyTable.
Definition at line 21 of file Debugging.cpp. References debugKeyTable, debugOut, and debugRequestTable. Referenced by Process::Process(), and Process::processMain().

OutMessage& getDebugOut | ( |  | ) |

| Returns a reference to a process wide OutMessage. Definition at line 28 of file Debugging.cpp. References debugOut. Referenced by Process::processMain(), GTXabsl2EngineExecutor::sendDebugMessage(), GT2005WalkingEngine::sendPolys(), and GT2005WalkingEngine::streamDebugData().

DebugKeyTable& getDebugKeyTable | ( |  | ) |

| Returns a reference to a process wide debug key table. Definition at line 33 of file Debugging.cpp. References debugKeyTable. Referenced by GTXabsl2EngineExecutor::executeEngine().

DebugRequestTable& getDebugRequestTable | ( |  | ) |

| Returns a reference to a process wide debug request table. Definition at line 38 of file Debugging.cpp. References debugRequestTable.

## Variable Documentation

GT_GLOBAL OutMessage* debugOut

| references to outgoing OutMessages Definition at line 12 of file Debugging.cpp. Referenced by getDebugOut(), initDebugging(), and Process::Process().

GT_GLOBAL DebugKeyTable* debugKeyTable

| references to DebugKeyTables Definition at line 15 of file Debugging.cpp. Referenced by getDebugKeyTable(), initDebugging(), operator<<(), and operator>>().

GT_GLOBAL DebugRequestTable* debugRequestTable

| references to DebugRequestTables Definition at line 18 of file Debugging.cpp. Referenced by getDebugRequestTable(), and initDebugging().